{ config, pkgs, ... }:

# unreserve ctrl+w shortcuts

{
  nixpkgs.config.packageOverrides = pkgs: with pkgs; {
    firefox-unwrapped = stdenv.mkDerivation {
      inherit (firefox-unwrapped) name version;

      nativeBuildInputs = [ fastjar ];

      buildCommand = ''
        mkdir -p $out
        cp -ra ${firefox-unwrapped}/. $out/.
        chmod +w -R $out
        sed -i "s|${firefox-unwrapped}|$out|g" $out/bin/firefox

        j=$out/lib/firefox/browser/omni.ja
        # f=chrome/browser/content/browser/browser.xhtml
        f=localization/en-US/browser/browserSets.ftl
        fastjar xf $j $f
        patch $f <${./fix-firefox.patch}
        fastjar uf $j $f
      '';

      inherit (firefox-unwrapped) meta;
      passthru = {
        inherit (firefox-unwrapped.passthru) version isFirefox3Like gtk
          nspr gssSupport browserName ffmpegSupport gtk3;
      };
    };
  };
}

